mipicsiss: function_prototype.h File Reference

| mipicsiss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
function_prototype.h File Reference

## Overview

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    X.XX  XX     YY/MM/DD
    1.00  RHe    19/09/20 Initial release.

## Functions
int | InitIIC ()
| This function writes, reads, and verifies the data to the IIC EEPROM. More...
int | FmcWriteData (u16 ByteCount)
| This function writes a buffer of data to the FMC IIC. More...
int | FmcReadData (u8 *BufferPtr, u16 ByteCount)
| This function reads data from the FMC IIC into a specified buffer. More...
int | AdapterWriteData (u16 ByteCount)
| This function writes a buffer of data to the Adapter IIC. More...
int | AdapterReadData (u8 *BufferPtr, u16 ByteCount)
| This function reads data from the Adapter IIC into a specified buffer. More...
void | SetupIICIntrHandlers ()
| This function sets send, receive and error handlers for IIC interrupts. More...
void | SendHandler (XIic *InstancePtr)
| This Send handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been sent. More...
void | ReceiveHandler (XIic *InstancePtr)
| This Receive handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been Received. More...
void | StatusHandler (XIic *InstancePtr, int Event)
| This Status handler is called asynchronously from an interrupt context and indicates the events that have occurred. More...
void | DisableDSI ()
| This function disables MIPI DSI SS. More...
void | DisableCSI ()
| This function disables MIPI CSI IP. More...
void | EnableCSI ()
| This function enables MIPI CSI IP. More...
void | InitDSI ()
| This function programs MIPI DSI SS with the required timing paramters. More...
void | EnableDSI ()
| This function enables MIPI DSI SS. More...
u32 | SetupDSI (void)
| This function programs MIPI DSI SS with the required timing paramters. More...
u32 | InitTreadyGpio (void)
| This function initializes GPIO IP for tready selection and gets config parameters. More...
u32 | InitializeCsiRxSs (void)
| This function programs MIPI CSI SS with the required timing paramters. More...
u32 | InitializeVdma (void)
| This function initializes Axi VDMA IP and gets config parameters. More...
void | SetColorDepth (void)
| This function sets colour depth value getting from MIPI CSI2 RX SS. More...
void | SelectDSIOuptut (void)
| This function programs GPIO to 0 to select tready from MIPI DSI SS. More...
void | SelectHDMIOutput (void)
| This function programs GPIO to '1' to select tready from HDMI. More...
int | MuxInit (void)
| This function initializes the IIC MUX to select EEPROM. More...
int | SetupCameraSensor (void)
| This function setup Camera sensor programming wrt resolution selected. More...
int | StartSensor (void)
| This function starts camera sensor to transmit captured video. More...
void | InitCSC2TPG_Vdma (void)
| This function provides information to program vdma wrt BPC. More...
void | PrintPipeConfig (void)
| This function prints the video pipeline information. More...
void | DisableTPGVdma (void)
| This function stops VDMA IP transactions. More...
void | DisableScaler (void)
| This function stops VProc_SS scalar IP. More...
void | InitVprocSs_Scaler (int count)
| This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values. More...

## Function Documentation

int AdapterReadData | ( | u8 * | BufferPtr,
|  | u16 | ByteCount
| ) |  |

This function reads data from the Adapter IIC into a specified buffer.

Parameters

  BufferPtr | contains the address of the data buffer to be filled.
  ByteCount | contains the number of bytes in the buffer to be read.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

References AdapterWriteData().

int AdapterWriteData | ( | u16 | ByteCount | ) |

This function writes a buffer of data to the Adapter IIC.

Parameters

  ByteCount | contains the number of bytes in the buffer to be written.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  The Byte count should not exceed the page size of the EEPROM as noted by the constant PAGE_SIZE.

Referenced by AdapterReadData().

void DisableCSI | ( | void |  | ) |

This function disables MIPI CSI IP.

- This function disables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void DisableDSI | ( | void |  | ) |

This function disables MIPI DSI SS.

- This function disables MIPI DSI SS.
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void DisableScaler | ( | void |  | ) |

This function stops VProc_SS scalar IP.

Returns
  None.

Note
  None.

void DisableTPGVdma | ( | void |  | ) |

This function stops VDMA IP transactions.

Returns
  None.

Note
  None.

void EnableCSI | ( | void |  | ) |

This function enables MIPI CSI IP.

- This function enables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void EnableDSI | ( | void |  | ) |

This function enables MIPI DSI SS.

Returns
  None.

Note
  None.

int FmcReadData | ( | u8 * | BufferPtr,
|  | u16 | ByteCount
| ) |  |

This function reads data from the FMC IIC into a specified buffer.

Parameters

  BufferPtr | contains the address of the data buffer to be filled.
  ByteCount | contains the number of bytes in the buffer to be read.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

References FmcWriteData().

int FmcWriteData | ( | u16 | ByteCount | ) |

This function writes a buffer of data to the FMC IIC.

Parameters

  ByteCount | contains the number of bytes in the buffer to be written.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  The Byte count should not exceed the page size of the EEPROM as noted by the constant PAGE_SIZE.

Referenced by FmcReadData(), and MuxInit().

void InitCSC2TPG_Vdma | ( | void |  | ) |

This function provides information to program vdma wrt BPC.

Returns
  None.

Note
  None.

Referenced by main().

void InitDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

u32 InitializeCsiRxSs | ( | void |  | ) |

This function programs MIPI CSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI CSI SS with the required timing paramters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

u32 InitializeVdma | ( | void |  | ) |

This function initializes Axi VDMA IP and gets config parameters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

Referenced by main().

int InitIIC | ( | void |  | ) |

This function writes, reads, and verifies the data to the IIC EEPROM.

It does the write as a single page write, performs a buffered read.

Parameters

  None. |

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

This function writes, reads, and verifies the data to the IIC EEPROM.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

u32 InitTreadyGpio | ( | void |  | ) |

This function initializes GPIO IP for tready selection and gets config parameters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

Referenced by main().

void InitVprocSs_Scaler | ( | int | count | ) |

This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values.

Parameters

  count | is a flag value to initialize IP only once.

Returns
  None.

Note
  None.

int MuxInit | ( | void |  | ) |

This function initializes the IIC MUX to select EEPROM.

Parameters

  None. |

Returns
  XST_SUCCESS if pass, otherwise XST_FAILURE.

Note
  None.

void PrintPipeConfig | ( | void |  | ) |

This function prints the video pipeline information.

Returns
  None.

Note
  None.

Referenced by main().

void ReceiveHandler | ( | XIic * | InstancePtr | ) |

This Receive handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been Received.

Parameters

  InstancePtr | is not used, but contains a pointer to the IIC device driver instance which the handler is being called for.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().

void SelectDSIOuptut | ( | void |  | ) |

This function programs GPIO to 0 to select tready from MIPI DSI SS.

Returns
  None.

Note
  None.

Referenced by main().

void SelectHDMIOutput | ( | void |  | ) |

This function programs GPIO to '1' to select tready from HDMI.

Returns
  None.

Note
  None.

Referenced by main().

void SendHandler | ( | XIic * | InstancePtr | ) |

This Send handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been sent.

Parameters

  InstancePtr | is not used, but contains a pointer to the IIC device driver instance which the handler is being called for.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().

void SetColorDepth | ( | void |  | ) |

This function sets colour depth value getting from MIPI CSI2 RX SS.

Returns
  None.

Note
  None.

Referenced by main().

int SetupCameraSensor | ( | void |  | ) |

This function setup Camera sensor programming wrt resolution selected.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

Referenced by main().

u32 SetupDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

void SetupIICIntrHandlers | ( | void |  | ) |

This function sets send, receive and error handlers for IIC interrupts.

Returns
  None.

Note
  None.

int StartSensor | ( | void |  | ) |

This function starts camera sensor to transmit captured video.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

Referenced by main().

void StatusHandler | ( | XIic * | InstancePtr,
|  | int | Event
| ) |  |

This Status handler is called asynchronously from an interrupt context and indicates the events that have occurred.

Parameters

  InstancePtr | is a pointer to the IIC driver instance for which the handler is being called for.
  Event | indicates the condition that has occurred.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().